Policies
List gas policies
GET
Newest first, up to limit per page (default 100, at most 500). While nextCursor is not null, pass it as cursor to read the next page.
apiKeyAuthheader
X-API-Key<token>Organization-owned GasTanker API key.
limit?integerHow many items to return, 1 to 500. Defaults to 100.
Range
1 <= value <= 500cursor?stringThe nextCursor of the previous page. Omit it for the first page.
Match
^[A-Za-z0-9_-]+$Length
1 <= length <= 256Response for status 200
application/json- response
data*array<>nextCursor*|Pass as cursor to fetch the next page. Null on the last page.
curl -X GET 'https://api.gastanker.xyz/v1/policies'{ "data": [ { "id": "string", "organizationId": "string", "walletId": "string", "thresholdBaseUnits": "string", "targetBaseUnits": "string", "status": "active", "revision": 0, "createdAt": "string", "updatedAt": "string" } ], "nextCursor": "string"}